Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.teiid.lexicon
Class VdbLexicon

    java.lang.Object
      org.modeshape.sequencer.teiid.lexicon.VdbLexicon

    public class VdbLexicon

extends Object

Nested Class Summary
`static class` | `VdbLexicon.Namespace`

Field Summary
`static Name` | `BUILT_IN`
`static Name` | `CHECKSUM`
`static Name` | `DESCRIPTION`
`static Name` | `MARKER`
`static Name` | `MARKERS`
`static Name` | `MESSAGE`
`static Name` | `MODEL`
`static Name` | `ORIGINAL_FILE`
`static Name` | `PATH`
`static Name` | `PATH_IN_VDB`
`static Name` | `PREVIEW`
`static Name` | `SEVERITY`
`static Name` | `SOURCE_JNDI_NAME`
`static Name` | `SOURCE_NAME`
`static Name` | `SOURCE_TRANSLATOR`
`static Name` | `VERSION`
`static Name` | `VIRTUAL_DATABASE`
`static Name` | `VISIBLE`

Constructor Summary
`VdbLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VIRTUAL_DATABASE

    public static final Name VIRTUAL_DATABASE

### DESCRIPTION

    public static final Name DESCRIPTION

### VERSION

    public static final Name VERSION

### PREVIEW

    public static final Name PREVIEW

### ORIGINAL_FILE

    public static final Name ORIGINAL_FILE

### MODEL

    public static final Name MODEL

### VISIBLE

    public static final Name VISIBLE

### CHECKSUM

    public static final Name CHECKSUM

### BUILT_IN

    public static final Name BUILT_IN

### PATH_IN_VDB

    public static final Name PATH_IN_VDB

### SOURCE_TRANSLATOR

    public static final Name SOURCE_TRANSLATOR

### SOURCE_JNDI_NAME

    public static final Name SOURCE_JNDI_NAME

### SOURCE_NAME

    public static final Name SOURCE_NAME

### MARKERS

    public static final Name MARKERS

### MARKER

    public static final Name MARKER

### SEVERITY

    public static final Name SEVERITY

### PATH

    public static final Name PATH

### MESSAGE

    public static final Name MESSAGE

Constructor Detail

### VdbLexicon

    public VdbLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.